Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network126.2.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
126.2.32.0
Broadcast address
126.2.63.255
First usable
126.2.32.1
Last usable
126.2.63.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 7E022000 · Integer 2114068480 to 2114076671
Reverse DNS zones
32.2.126.in-addr.arpa
33.2.126.in-addr.arpa
34.2.126.in-addr.arpa
35.2.126.in-addr.arpa
36.2.126.in-addr.arpa
37.2.126.in-addr.arpa
38.2.126.in-addr.arpa
39.2.126.in-addr.arpa
40.2.126.in-addr.arpa
41.2.126.in-addr.arpa
42.2.126.in-addr.arpa
43.2.126.in-addr.arpa
44.2.126.in-addr.arpa
45.2.126.in-addr.arpa
46.2.126.in-addr.arpa
47.2.126.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111110.00000010.00100000.00000000126.2.32.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01111110.00000010.00100000.00000000126.2.32.0
Broadcast01111110.00000010.00111111.11111111126.2.63.255
Split into smaller subnets/30

126.2.32.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1126.2.32.0/30126.2.32.1 to 126.2.32.2126.2.32.32
2126.2.32.4/30126.2.32.5 to 126.2.32.6126.2.32.72
3126.2.32.8/30126.2.32.9 to 126.2.32.10126.2.32.112
4126.2.32.12/30126.2.32.13 to 126.2.32.14126.2.32.152
5126.2.32.16/30126.2.32.17 to 126.2.32.18126.2.32.192
6126.2.32.20/30126.2.32.21 to 126.2.32.22126.2.32.232
7126.2.32.24/30126.2.32.25 to 126.2.32.26126.2.32.272
8126.2.32.28/30126.2.32.29 to 126.2.32.30126.2.32.312
9126.2.32.32/30126.2.32.33 to 126.2.32.34126.2.32.352
10126.2.32.36/30126.2.32.37 to 126.2.32.38126.2.32.392
11126.2.32.40/30126.2.32.41 to 126.2.32.42126.2.32.432
12126.2.32.44/30126.2.32.45 to 126.2.32.46126.2.32.472
13126.2.32.48/30126.2.32.49 to 126.2.32.50126.2.32.512
14126.2.32.52/30126.2.32.53 to 126.2.32.54126.2.32.552
15126.2.32.56/30126.2.32.57 to 126.2.32.58126.2.32.592
16126.2.32.60/30126.2.32.61 to 126.2.32.62126.2.32.632
17126.2.32.64/30126.2.32.65 to 126.2.32.66126.2.32.672
18126.2.32.68/30126.2.32.69 to 126.2.32.70126.2.32.712
19126.2.32.72/30126.2.32.73 to 126.2.32.74126.2.32.752
20126.2.32.76/30126.2.32.77 to 126.2.32.78126.2.32.792
21126.2.32.80/30126.2.32.81 to 126.2.32.82126.2.32.832
22126.2.32.84/30126.2.32.85 to 126.2.32.86126.2.32.872
23126.2.32.88/30126.2.32.89 to 126.2.32.90126.2.32.912
24126.2.32.92/30126.2.32.93 to 126.2.32.94126.2.32.952
25126.2.32.96/30126.2.32.97 to 126.2.32.98126.2.32.992
26126.2.32.100/30126.2.32.101 to 126.2.32.102126.2.32.1032
27126.2.32.104/30126.2.32.105 to 126.2.32.106126.2.32.1072
28126.2.32.108/30126.2.32.109 to 126.2.32.110126.2.32.1112
29126.2.32.112/30126.2.32.113 to 126.2.32.114126.2.32.1152
30126.2.32.116/30126.2.32.117 to 126.2.32.118126.2.32.1192
31126.2.32.120/30126.2.32.121 to 126.2.32.122126.2.32.1232
32126.2.32.124/30126.2.32.125 to 126.2.32.126126.2.32.1272
33126.2.32.128/30126.2.32.129 to 126.2.32.130126.2.32.1312
34126.2.32.132/30126.2.32.133 to 126.2.32.134126.2.32.1352
35126.2.32.136/30126.2.32.137 to 126.2.32.138126.2.32.1392
36126.2.32.140/30126.2.32.141 to 126.2.32.142126.2.32.1432
37126.2.32.144/30126.2.32.145 to 126.2.32.146126.2.32.1472
38126.2.32.148/30126.2.32.149 to 126.2.32.150126.2.32.1512
39126.2.32.152/30126.2.32.153 to 126.2.32.154126.2.32.1552
40126.2.32.156/30126.2.32.157 to 126.2.32.158126.2.32.1592
41126.2.32.160/30126.2.32.161 to 126.2.32.162126.2.32.1632
42126.2.32.164/30126.2.32.165 to 126.2.32.166126.2.32.1672
43126.2.32.168/30126.2.32.169 to 126.2.32.170126.2.32.1712
44126.2.32.172/30126.2.32.173 to 126.2.32.174126.2.32.1752
45126.2.32.176/30126.2.32.177 to 126.2.32.178126.2.32.1792
46126.2.32.180/30126.2.32.181 to 126.2.32.182126.2.32.1832
47126.2.32.184/30126.2.32.185 to 126.2.32.186126.2.32.1872
48126.2.32.188/30126.2.32.189 to 126.2.32.190126.2.32.1912
49126.2.32.192/30126.2.32.193 to 126.2.32.194126.2.32.1952
50126.2.32.196/30126.2.32.197 to 126.2.32.198126.2.32.1992
51126.2.32.200/30126.2.32.201 to 126.2.32.202126.2.32.2032
52126.2.32.204/30126.2.32.205 to 126.2.32.206126.2.32.2072
53126.2.32.208/30126.2.32.209 to 126.2.32.210126.2.32.2112
54126.2.32.212/30126.2.32.213 to 126.2.32.214126.2.32.2152
55126.2.32.216/30126.2.32.217 to 126.2.32.218126.2.32.2192
56126.2.32.220/30126.2.32.221 to 126.2.32.222126.2.32.2232
57126.2.32.224/30126.2.32.225 to 126.2.32.226126.2.32.2272
58126.2.32.228/30126.2.32.229 to 126.2.32.230126.2.32.2312
59126.2.32.232/30126.2.32.233 to 126.2.32.234126.2.32.2352
60126.2.32.236/30126.2.32.237 to 126.2.32.238126.2.32.2392
61126.2.32.240/30126.2.32.241 to 126.2.32.242126.2.32.2432
62126.2.32.244/30126.2.32.245 to 126.2.32.246126.2.32.2472
63126.2.32.248/30126.2.32.249 to 126.2.32.250126.2.32.2512
64126.2.32.252/30126.2.32.253 to 126.2.32.254126.2.32.2552
65126.2.33.0/30126.2.33.1 to 126.2.33.2126.2.33.32
66126.2.33.4/30126.2.33.5 to 126.2.33.6126.2.33.72
67126.2.33.8/30126.2.33.9 to 126.2.33.10126.2.33.112
68126.2.33.12/30126.2.33.13 to 126.2.33.14126.2.33.152
69126.2.33.16/30126.2.33.17 to 126.2.33.18126.2.33.192
70126.2.33.20/30126.2.33.21 to 126.2.33.22126.2.33.232
71126.2.33.24/30126.2.33.25 to 126.2.33.26126.2.33.272
72126.2.33.28/30126.2.33.29 to 126.2.33.30126.2.33.312
73126.2.33.32/30126.2.33.33 to 126.2.33.34126.2.33.352
74126.2.33.36/30126.2.33.37 to 126.2.33.38126.2.33.392
75126.2.33.40/30126.2.33.41 to 126.2.33.42126.2.33.432
76126.2.33.44/30126.2.33.45 to 126.2.33.46126.2.33.472
77126.2.33.48/30126.2.33.49 to 126.2.33.50126.2.33.512
78126.2.33.52/30126.2.33.53 to 126.2.33.54126.2.33.552
79126.2.33.56/30126.2.33.57 to 126.2.33.58126.2.33.592
80126.2.33.60/30126.2.33.61 to 126.2.33.62126.2.33.632
81126.2.33.64/30126.2.33.65 to 126.2.33.66126.2.33.672
82126.2.33.68/30126.2.33.69 to 126.2.33.70126.2.33.712
83126.2.33.72/30126.2.33.73 to 126.2.33.74126.2.33.752
84126.2.33.76/30126.2.33.77 to 126.2.33.78126.2.33.792
85126.2.33.80/30126.2.33.81 to 126.2.33.82126.2.33.832
86126.2.33.84/30126.2.33.85 to 126.2.33.86126.2.33.872
87126.2.33.88/30126.2.33.89 to 126.2.33.90126.2.33.912
88126.2.33.92/30126.2.33.93 to 126.2.33.94126.2.33.952
89126.2.33.96/30126.2.33.97 to 126.2.33.98126.2.33.992
90126.2.33.100/30126.2.33.101 to 126.2.33.102126.2.33.1032
91126.2.33.104/30126.2.33.105 to 126.2.33.106126.2.33.1072
92126.2.33.108/30126.2.33.109 to 126.2.33.110126.2.33.1112
93126.2.33.112/30126.2.33.113 to 126.2.33.114126.2.33.1152
94126.2.33.116/30126.2.33.117 to 126.2.33.118126.2.33.1192
95126.2.33.120/30126.2.33.121 to 126.2.33.122126.2.33.1232
96126.2.33.124/30126.2.33.125 to 126.2.33.126126.2.33.1272
97126.2.33.128/30126.2.33.129 to 126.2.33.130126.2.33.1312
98126.2.33.132/30126.2.33.133 to 126.2.33.134126.2.33.1352
99126.2.33.136/30126.2.33.137 to 126.2.33.138126.2.33.1392
100126.2.33.140/30126.2.33.141 to 126.2.33.142126.2.33.1432
101126.2.33.144/30126.2.33.145 to 126.2.33.146126.2.33.1472
102126.2.33.148/30126.2.33.149 to 126.2.33.150126.2.33.1512
103126.2.33.152/30126.2.33.153 to 126.2.33.154126.2.33.1552
104126.2.33.156/30126.2.33.157 to 126.2.33.158126.2.33.1592
105126.2.33.160/30126.2.33.161 to 126.2.33.162126.2.33.1632
106126.2.33.164/30126.2.33.165 to 126.2.33.166126.2.33.1672
107126.2.33.168/30126.2.33.169 to 126.2.33.170126.2.33.1712
108126.2.33.172/30126.2.33.173 to 126.2.33.174126.2.33.1752
109126.2.33.176/30126.2.33.177 to 126.2.33.178126.2.33.1792
110126.2.33.180/30126.2.33.181 to 126.2.33.182126.2.33.1832
111126.2.33.184/30126.2.33.185 to 126.2.33.186126.2.33.1872
112126.2.33.188/30126.2.33.189 to 126.2.33.190126.2.33.1912
113126.2.33.192/30126.2.33.193 to 126.2.33.194126.2.33.1952
114126.2.33.196/30126.2.33.197 to 126.2.33.198126.2.33.1992
115126.2.33.200/30126.2.33.201 to 126.2.33.202126.2.33.2032
116126.2.33.204/30126.2.33.205 to 126.2.33.206126.2.33.2072
117126.2.33.208/30126.2.33.209 to 126.2.33.210126.2.33.2112
118126.2.33.212/30126.2.33.213 to 126.2.33.214126.2.33.2152
119126.2.33.216/30126.2.33.217 to 126.2.33.218126.2.33.2192
120126.2.33.220/30126.2.33.221 to 126.2.33.222126.2.33.2232
121126.2.33.224/30126.2.33.225 to 126.2.33.226126.2.33.2272
122126.2.33.228/30126.2.33.229 to 126.2.33.230126.2.33.2312
123126.2.33.232/30126.2.33.233 to 126.2.33.234126.2.33.2352
124126.2.33.236/30126.2.33.237 to 126.2.33.238126.2.33.2392
125126.2.33.240/30126.2.33.241 to 126.2.33.242126.2.33.2432
126126.2.33.244/30126.2.33.245 to 126.2.33.246126.2.33.2472
127126.2.33.248/30126.2.33.249 to 126.2.33.250126.2.33.2512
128126.2.33.252/30126.2.33.253 to 126.2.33.254126.2.33.2552
129126.2.34.0/30126.2.34.1 to 126.2.34.2126.2.34.32
130126.2.34.4/30126.2.34.5 to 126.2.34.6126.2.34.72
131126.2.34.8/30126.2.34.9 to 126.2.34.10126.2.34.112
132126.2.34.12/30126.2.34.13 to 126.2.34.14126.2.34.152
133126.2.34.16/30126.2.34.17 to 126.2.34.18126.2.34.192
134126.2.34.20/30126.2.34.21 to 126.2.34.22126.2.34.232
135126.2.34.24/30126.2.34.25 to 126.2.34.26126.2.34.272
136126.2.34.28/30126.2.34.29 to 126.2.34.30126.2.34.312
137126.2.34.32/30126.2.34.33 to 126.2.34.34126.2.34.352
138126.2.34.36/30126.2.34.37 to 126.2.34.38126.2.34.392
139126.2.34.40/30126.2.34.41 to 126.2.34.42126.2.34.432
140126.2.34.44/30126.2.34.45 to 126.2.34.46126.2.34.472
141126.2.34.48/30126.2.34.49 to 126.2.34.50126.2.34.512
142126.2.34.52/30126.2.34.53 to 126.2.34.54126.2.34.552
143126.2.34.56/30126.2.34.57 to 126.2.34.58126.2.34.592
144126.2.34.60/30126.2.34.61 to 126.2.34.62126.2.34.632
145126.2.34.64/30126.2.34.65 to 126.2.34.66126.2.34.672
146126.2.34.68/30126.2.34.69 to 126.2.34.70126.2.34.712
147126.2.34.72/30126.2.34.73 to 126.2.34.74126.2.34.752
148126.2.34.76/30126.2.34.77 to 126.2.34.78126.2.34.792
149126.2.34.80/30126.2.34.81 to 126.2.34.82126.2.34.832
150126.2.34.84/30126.2.34.85 to 126.2.34.86126.2.34.872
151126.2.34.88/30126.2.34.89 to 126.2.34.90126.2.34.912
152126.2.34.92/30126.2.34.93 to 126.2.34.94126.2.34.952
153126.2.34.96/30126.2.34.97 to 126.2.34.98126.2.34.992
154126.2.34.100/30126.2.34.101 to 126.2.34.102126.2.34.1032
155126.2.34.104/30126.2.34.105 to 126.2.34.106126.2.34.1072
156126.2.34.108/30126.2.34.109 to 126.2.34.110126.2.34.1112
157126.2.34.112/30126.2.34.113 to 126.2.34.114126.2.34.1152
158126.2.34.116/30126.2.34.117 to 126.2.34.118126.2.34.1192
159126.2.34.120/30126.2.34.121 to 126.2.34.122126.2.34.1232
160126.2.34.124/30126.2.34.125 to 126.2.34.126126.2.34.1272
161126.2.34.128/30126.2.34.129 to 126.2.34.130126.2.34.1312
162126.2.34.132/30126.2.34.133 to 126.2.34.134126.2.34.1352
163126.2.34.136/30126.2.34.137 to 126.2.34.138126.2.34.1392
164126.2.34.140/30126.2.34.141 to 126.2.34.142126.2.34.1432
165126.2.34.144/30126.2.34.145 to 126.2.34.146126.2.34.1472
166126.2.34.148/30126.2.34.149 to 126.2.34.150126.2.34.1512
167126.2.34.152/30126.2.34.153 to 126.2.34.154126.2.34.1552
168126.2.34.156/30126.2.34.157 to 126.2.34.158126.2.34.1592
169126.2.34.160/30126.2.34.161 to 126.2.34.162126.2.34.1632
170126.2.34.164/30126.2.34.165 to 126.2.34.166126.2.34.1672
171126.2.34.168/30126.2.34.169 to 126.2.34.170126.2.34.1712
172126.2.34.172/30126.2.34.173 to 126.2.34.174126.2.34.1752
173126.2.34.176/30126.2.34.177 to 126.2.34.178126.2.34.1792
174126.2.34.180/30126.2.34.181 to 126.2.34.182126.2.34.1832
175126.2.34.184/30126.2.34.185 to 126.2.34.186126.2.34.1872
176126.2.34.188/30126.2.34.189 to 126.2.34.190126.2.34.1912
177126.2.34.192/30126.2.34.193 to 126.2.34.194126.2.34.1952
178126.2.34.196/30126.2.34.197 to 126.2.34.198126.2.34.1992
179126.2.34.200/30126.2.34.201 to 126.2.34.202126.2.34.2032
180126.2.34.204/30126.2.34.205 to 126.2.34.206126.2.34.2072
181126.2.34.208/30126.2.34.209 to 126.2.34.210126.2.34.2112
182126.2.34.212/30126.2.34.213 to 126.2.34.214126.2.34.2152
183126.2.34.216/30126.2.34.217 to 126.2.34.218126.2.34.2192
184126.2.34.220/30126.2.34.221 to 126.2.34.222126.2.34.2232
185126.2.34.224/30126.2.34.225 to 126.2.34.226126.2.34.2272
186126.2.34.228/30126.2.34.229 to 126.2.34.230126.2.34.2312
187126.2.34.232/30126.2.34.233 to 126.2.34.234126.2.34.2352
188126.2.34.236/30126.2.34.237 to 126.2.34.238126.2.34.2392
189126.2.34.240/30126.2.34.241 to 126.2.34.242126.2.34.2432
190126.2.34.244/30126.2.34.245 to 126.2.34.246126.2.34.2472
191126.2.34.248/30126.2.34.249 to 126.2.34.250126.2.34.2512
192126.2.34.252/30126.2.34.253 to 126.2.34.254126.2.34.2552
193126.2.35.0/30126.2.35.1 to 126.2.35.2126.2.35.32
194126.2.35.4/30126.2.35.5 to 126.2.35.6126.2.35.72
195126.2.35.8/30126.2.35.9 to 126.2.35.10126.2.35.112
196126.2.35.12/30126.2.35.13 to 126.2.35.14126.2.35.152
197126.2.35.16/30126.2.35.17 to 126.2.35.18126.2.35.192
198126.2.35.20/30126.2.35.21 to 126.2.35.22126.2.35.232
199126.2.35.24/30126.2.35.25 to 126.2.35.26126.2.35.272
200126.2.35.28/30126.2.35.29 to 126.2.35.30126.2.35.312
201126.2.35.32/30126.2.35.33 to 126.2.35.34126.2.35.352
202126.2.35.36/30126.2.35.37 to 126.2.35.38126.2.35.392
203126.2.35.40/30126.2.35.41 to 126.2.35.42126.2.35.432
204126.2.35.44/30126.2.35.45 to 126.2.35.46126.2.35.472
205126.2.35.48/30126.2.35.49 to 126.2.35.50126.2.35.512
206126.2.35.52/30126.2.35.53 to 126.2.35.54126.2.35.552
207126.2.35.56/30126.2.35.57 to 126.2.35.58126.2.35.592
208126.2.35.60/30126.2.35.61 to 126.2.35.62126.2.35.632
209126.2.35.64/30126.2.35.65 to 126.2.35.66126.2.35.672
210126.2.35.68/30126.2.35.69 to 126.2.35.70126.2.35.712
211126.2.35.72/30126.2.35.73 to 126.2.35.74126.2.35.752
212126.2.35.76/30126.2.35.77 to 126.2.35.78126.2.35.792
213126.2.35.80/30126.2.35.81 to 126.2.35.82126.2.35.832
214126.2.35.84/30126.2.35.85 to 126.2.35.86126.2.35.872
215126.2.35.88/30126.2.35.89 to 126.2.35.90126.2.35.912
216126.2.35.92/30126.2.35.93 to 126.2.35.94126.2.35.952
217126.2.35.96/30126.2.35.97 to 126.2.35.98126.2.35.992
218126.2.35.100/30126.2.35.101 to 126.2.35.102126.2.35.1032
219126.2.35.104/30126.2.35.105 to 126.2.35.106126.2.35.1072
220126.2.35.108/30126.2.35.109 to 126.2.35.110126.2.35.1112
221126.2.35.112/30126.2.35.113 to 126.2.35.114126.2.35.1152
222126.2.35.116/30126.2.35.117 to 126.2.35.118126.2.35.1192
223126.2.35.120/30126.2.35.121 to 126.2.35.122126.2.35.1232
224126.2.35.124/30126.2.35.125 to 126.2.35.126126.2.35.1272
225126.2.35.128/30126.2.35.129 to 126.2.35.130126.2.35.1312
226126.2.35.132/30126.2.35.133 to 126.2.35.134126.2.35.1352
227126.2.35.136/30126.2.35.137 to 126.2.35.138126.2.35.1392
228126.2.35.140/30126.2.35.141 to 126.2.35.142126.2.35.1432
229126.2.35.144/30126.2.35.145 to 126.2.35.146126.2.35.1472
230126.2.35.148/30126.2.35.149 to 126.2.35.150126.2.35.1512
231126.2.35.152/30126.2.35.153 to 126.2.35.154126.2.35.1552
232126.2.35.156/30126.2.35.157 to 126.2.35.158126.2.35.1592
233126.2.35.160/30126.2.35.161 to 126.2.35.162126.2.35.1632
234126.2.35.164/30126.2.35.165 to 126.2.35.166126.2.35.1672
235126.2.35.168/30126.2.35.169 to 126.2.35.170126.2.35.1712
236126.2.35.172/30126.2.35.173 to 126.2.35.174126.2.35.1752
237126.2.35.176/30126.2.35.177 to 126.2.35.178126.2.35.1792
238126.2.35.180/30126.2.35.181 to 126.2.35.182126.2.35.1832
239126.2.35.184/30126.2.35.185 to 126.2.35.186126.2.35.1872
240126.2.35.188/30126.2.35.189 to 126.2.35.190126.2.35.1912
241126.2.35.192/30126.2.35.193 to 126.2.35.194126.2.35.1952
242126.2.35.196/30126.2.35.197 to 126.2.35.198126.2.35.1992
243126.2.35.200/30126.2.35.201 to 126.2.35.202126.2.35.2032
244126.2.35.204/30126.2.35.205 to 126.2.35.206126.2.35.2072
245126.2.35.208/30126.2.35.209 to 126.2.35.210126.2.35.2112
246126.2.35.212/30126.2.35.213 to 126.2.35.214126.2.35.2152
247126.2.35.216/30126.2.35.217 to 126.2.35.218126.2.35.2192
248126.2.35.220/30126.2.35.221 to 126.2.35.222126.2.35.2232
249126.2.35.224/30126.2.35.225 to 126.2.35.226126.2.35.2272
250126.2.35.228/30126.2.35.229 to 126.2.35.230126.2.35.2312
251126.2.35.232/30126.2.35.233 to 126.2.35.234126.2.35.2352
252126.2.35.236/30126.2.35.237 to 126.2.35.238126.2.35.2392
253126.2.35.240/30126.2.35.241 to 126.2.35.242126.2.35.2432
254126.2.35.244/30126.2.35.245 to 126.2.35.246126.2.35.2472
255126.2.35.248/30126.2.35.249 to 126.2.35.250126.2.35.2512
256126.2.35.252/30126.2.35.253 to 126.2.35.254126.2.35.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses